%% FUNCIÓN FILTRO NK EN RECEPCIÓN
%<filtroNK_Rx>

%PARÁMETROS DE RETORNO:
%rxrBG: Vector en RX tras pasar por filtro NK

%PARÁMETROS DE INGRESO:
%Hk: coeficientes filtro PHYDYAS
%rxSimb: Símbolo tras ejecutar FFT
%bGIzqFBMC: Banda de guarda izquierda procesamiento FBMC
%bGDerFBMC: Banda de guarda derecha procesamiento FBMC

function rxrBG=filtroNK_Rx(Hk, rxSimb, bGIzqFBMC,bGDerFBMC);

    %Filtro adaptado con el filtro prototipo
    rxMF = filter(Hk, 1, rxSimb); % aplicación de filtro PHYDYAS
    % Remoción de retardo inducido por el filtro (K-1 elementos)
    rxMF = [rxMF(4:end); zeros(4-1,1)];%Remoción/compensación retardo filtro PHYDYAS, a la mitad de su longitud
    % Remoción bandas de guarda
    rxrBG = rxMF(bGIzqFBMC+1:end-bGDerFBMC);
end

